import { marshall } from '@aws-sdk/util-dynamodb';
export const mapGetItemsCommand = (config, partitionKey, sortKeyPrefix) => {
    const partitionKeyName = String(config.partitionKeyName);
    const sortKeyName = String(config.sortKeyName);
    return {
        TableName: config.tableName,
        IndexName: config.indexName,
        KeyConditionExpression: sortKeyPrefix
            ? `${partitionKeyName} = :partitionKey and begins_with(${sortKeyName}, :sortKeyPrefix)`
            : `${partitionKeyName} = :partitionKey`,
        ExpressionAttributeValues: sortKeyPrefix
            ? marshall({ ':partitionKey': partitionKey, ':sortKeyPrefix': sortKeyPrefix })
            : marshall({ ':partitionKey': partitionKey }),
    };
};
//# sourceMappingURL=mapGetItemsCommand.js.map